org.eclipse.microprofile.lra.tck.participant.api

## Class LRAUnknownStatusResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.LRAUnknownStatusResource

    @ApplicationScoped
     @Path(value="lraUnknownStatusController")
    public class LRAUnknownStatusResource
    extends Object

TCK Tests related to the 410 status code handling. Version with a Status method.

### Field Summary

Fields
`static String` `LRA_CONTROLLER_PATH`
`static String` `TRANSACTIONAL_WORK_PATH`

### Constructor Summary

Constructors
Constructor and Description
`LRAUnknownStatusResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `activityWithLRA(URI lraId, Scenario scenario)`
`jakarta.ws.rs.core.Response` `afterEnd(URI lraId, LRAStatus status)`
`jakarta.ws.rs.core.Response` `compensateWork(URI lraId)`
`jakarta.ws.rs.core.Response` `completeWork(URI lraId)`
`jakarta.ws.rs.core.Response` `status(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LRA_CONTROLLER_PATH

    public static final String LRA_CONTROLLER_PATH

See Also:
  Constant Field Values

#### TRANSACTIONAL_WORK_PATH

    public static final String TRANSACTIONAL_WORK_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### LRAUnknownStatusResource

    public LRAUnknownStatusResource()

### Method Detail

#### activityWithLRA

    @PUT
     @Path(value="work")
    public jakarta.ws.rs.core.Response activityWithLRA(@HeaderParam(value="Long-Running-Action")
                                                                                 URI lraId,
                                                                                 @QueryParam(value="scenario")
                                                                                 Scenario scenario)

#### completeWork

    @PUT
     @Path(value="/complete")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response completeWork(@HeaderParam(value="Long-Running-Action")
                                                                                                                        URI lraId)
                                                                                                                 throws jakarta.ws.rs.NotFoundException

Throws:
  `jakarta.ws.rs.NotFoundException`

#### compensateWork

    @PUT
     @Path(value="/compensate")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response compensateWork(@HeaderParam(value="Long-Running-Action")
                                                                                                                            URI lraId)
                                                                                                                     throws jakarta.ws.rs.NotFoundException

Throws:
  `jakarta.ws.rs.NotFoundException`

#### status

    @GET
     @Path(value="/status")
    public jakarta.ws.rs.core.Response status(@HeaderParam(value="Long-Running-Action")
                                                                           URI lraId)

#### afterEnd

    @PUT
     @Path(value="/after")
    public jakarta.ws.rs.core.Response afterEnd(@HeaderParam(value="Long-Running-Action-Ended")
                                                                            URI lraId,
                                                                            LRAStatus status)